Download it now!
Bug 40924 - Styles and Formating window moves to undesired location when opening a new document
Summary: Styles and Formating window moves to undesired location when opening a new do...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86-64 (AMD64) Linux (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Styles
  Show dependency treegraph
 
Reported: 2011-09-15 22:43 UTC by Martin Senftleben
Modified: 2018-01-02 10:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
This is the image that shows the template box at the right place (378.17 KB, image/png)
2012-03-02 10:11 UTC, Martin Senftleben
Details
This is the image showing the template box in the wrong place (365.00 KB, image/png)
2012-03-02 10:12 UTC, Martin Senftleben
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Senftleben 2011-09-15 22:43:36 UTC
I am German native, so I use the German version. It may be that some terms aren't exactly what would be used in English, but I try. Please ask for clarification in case you don't understand what I mean.

The format templates can be opened in a window. I have a wide screen, so there is plenty of room to place the format templates window in a section where there is no document opened. As I need the list of format templates frequently, I want it always available and not only through the drop-down menu.
When I open another document, the format templates window moves to another position, i.e. to the upper left area of the screen (not into the corner of the screen), where the new document has been placed. This way, it covers up part of the document window and important buttons. So I have to move it back to the place where I had put it initially.
This does not necessarily happen with the second document to be opened. I sometimes can open three or four documents, and the format templates window still stays at the same place. But with the next document being opened, it's over and the templates window moves to cover the document. 
This problem is not related to the size of the document window. None of the windows cover part or all of the space that the format templates window occupies, hence that window could easily stay in place. But it doesn't, while it should.
Comment 1 Björn Michaelsen 2011-12-23 12:35:44 UTC Comment hidden (obsolete)
Comment 2 Martin Senftleben 2012-01-09 09:28:06 UTC
The problem still persists in LOdev 3.5. I just checked it out thoroughly. Since I reported the bug, I have upgraded my hardware and installed another distribution (Kubuntu 11.10), from which I deduct that the problem must be related to LO and not the windows manager or so (I used Gnome under Linux Mint before).
The only thing is that there is no real reproducability. The problem occured the first time after the 5th doc was opened, then it didn't occur with the 6th one, but after closing two documents, it again happened with another. Then I closed one document where I had moved the format templates window to the free desktop area, and then opened it again. The format templates window again moved to the upper left corner (more or less opposit to where I had placed it before), covering up important sections of the document.
it happens with LOWriter and LOCalc docs, I didn't test with other modules.
Comment 3 sasha.libreoffice 2012-03-02 06:12:17 UTC
Thanks for bugreport
Please, attach screenshot of right position of windows on screen and screenshot of wrong position
Comment 4 Martin Senftleben 2012-03-02 10:11:25 UTC
Created attachment 57937 [details]
This is the image that shows the template box at the right place
Comment 5 Martin Senftleben 2012-03-02 10:12:32 UTC
Created attachment 57938 [details]
This is the image showing the template box in the wrong place
Comment 6 sasha.libreoffice 2012-03-03 02:40:42 UTC
Thanks for attached screenshot
And I have one question: why not dock Stylist window to main office window
(for docking window press ctrl and double click on Stylist window on top of it beneath of title, between some icons and icon of bucket
or move Stylist window to right hand edge of main Writer window until appears rectangle, indicating that it can be docked)

(For open Stylist window use F11, if it works)

Sorry if I understand problem wrong. If so, please, explain what should be
Comment 7 Florian Reisinger 2012-08-14 13:58:34 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 8 Florian Reisinger 2012-08-14 13:59:50 UTC Comment hidden (obsolete)
Comment 9 Florian Reisinger 2012-08-14 14:04:28 UTC Comment hidden (obsolete)
Comment 10 Florian Reisinger 2012-08-14 14:06:39 UTC Comment hidden (obsolete)
Comment 11 Martin Senftleben 2012-09-01 04:12:37 UTC
(In reply to comment #6)
> Thanks for attached screenshot
> And I have one question: why not dock Stylist window to main office window
> (for docking window press ctrl and double click on Stylist window on top of it
> beneath of title, between some icons and icon of bucket
> or move Stylist window to right hand edge of main Writer window until appears
> rectangle, indicating that it can be docked)
> 
> (For open Stylist window use F11, if it works)
> 
> Sorry if I understand problem wrong. If so, please, explain what should be

Hi,

sorry for not replying earlier to this message - I missed it.
I don't want to dock the stylist window, because it disturbs me in handling the documents, and it takes much more space than needed (the box uses up space for the entire height of the document, while undocked it is much shorter, depending on how I size it.
Comment 12 sasha.libreoffice 2012-09-03 10:37:34 UTC
Thanks for additional information. As I can see, it is Enhancement request.
Comment 13 Martin Senftleben 2012-09-26 05:44:51 UTC
I have now upgraded to 3.5.4.2 (KuBuntu, 64 bit) and the behaviour of the format template window has become worse: Now it moves always back to overlay the document window, though not in the upper left corner, but in the lower right corner. That's not so bad as before, but it is still the wrong location - I just want it to stick at the place where I put it initially when starting LO.
What is worse: it re-places itself to that location on top of the document window when I leave that virtual desktop on which LO is placed. It is alwas placed there when I open another document and does not stick to the location where I put it. Earlier, it stuck to that location at least for the window which was already open.
Comment 14 Justin L 2017-01-20 06:32:16 UTC
In light of all of the changes in the UI (try out MUFFIN in 5.3, and styles in the docking bar has become standard), there is a lot of flexibility now for different preferences.  This needs to be re-evaluated. I think you should be using the docked area as Sasha suggested.
Comment 15 Dr. Martinus 2017-01-20 08:03:50 UTC
I do that because I have no other choice. But I'm not happy with it, because this docked area takes a lot of screen space which forbids for example to have two pages side by side, makes it difficult to handle landscape format etc.
Comment 16 QA Administrators 2017-12-04 12:45:29 UTC Comment hidden (obsolete)
Comment 17 QA Administrators 2018-01-02 10:18:12 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180102